0
Validation results

Woodmart

Woodmart

WordPress 4.9.8 theme
0
Critical alerts
  1. Security breaches : Use of base64_encode() Found base64_encode in file functions.php.
     $imageData = base64_encode( file_get_contents( $image_path ) );
  2. Malware : Operations on file system file_get_contents was found in the file functions.php
    Line 2257: $imageData = base64_encode( file_get_contents( $image_path ) );
  3. Admin menu : Themes should use add_theme_page() for adding admin pages. File dashboard.php :
    Line 53: add_submenu_page(
    Line 61: add_submenu_page(
    Line 71: add_submenu_page(
    Line 80: add_submenu_page(
    Line 89: add_submenu_page(
    File dashboard.php :
    Line 53: add_submenu_page(
    Line 61: add_submenu_page(
    Line 71: add_submenu_page(
    Line 80: add_submenu_page(
    Line 89: add_submenu_page(
    File dashboard.php :
    Line 53: add_submenu_page(
    Line 61: add_submenu_page(
    Line 71: add_submenu_page(
    Line 80: add_submenu_page(
    Line 89: add_submenu_page(
    File dashboard.php :
    Line 53: add_submenu_page(
    Line 61: add_submenu_page(
    Line 71: add_submenu_page(
    Line 80: add_submenu_page(
    Line 89: add_submenu_page(
    File dashboard.php :
    Line 53: add_submenu_page(
    Line 61: add_submenu_page(
    Line 71: add_submenu_page(
    Line 80: add_submenu_page(
    Line 89: add_submenu_page(
  4. Inapropriate constants : Use of STYLESHEETPATH Constant STYLESHEETPATH was found in the file Element.php. get_stylesheet_directory() should be used instead.
    Line 54: $located = STYLESHEETPATH . $path;
  5. Inapropriate constants : Use of TEMPLATEPATH Constant TEMPLATEPATH was found in the file Element.php. get_template_directory() should be used instead.
    Line 56: $located = TEMPLATEPATH . $path;
  6. Included plugins : Zip file found Plugins are not allowed in themes. The zip file found was revslider.zip revslider2.zip js_composer.zip woodmart-core.zip.
Warning
  1. Text domain : Incorrect use of translation functions.More than one text-domain is being used in this theme. This means the theme will not be compatible with WordPress.org language packs. The domains found are woodmart, woocommerce, yith-woocommerce-compare, yith-woocommerce-wishlist, cmb2, js_composer.
  2. Plugin territory : Plugin territory functionalitiesThe theme uses the add_shortcode() function. Custom post-content shortcodes are plugin-territory functionality.
  3. Custom elements : Presence of custom headerNo reference to custom header was found in the theme.
  4. Custom elements : Presence of custom backgroundNo reference to custom background was found in the theme.
  5. CSS files : Presence of .gallery-caption class.gallery-caption css class is needed in theme css.
  6. Screenshot : Screenshot fileBad screenshot file extension ! File screenshot.png is not an actual JPG file. Detected type was : "image/png".
Tip-off
  1. favicon presence : Favicon managementPossible Favicon found in template-tags.php. Favicons are handled by the Site Icon setting in the customizer since version 4.3.
  2. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  3. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  4. Optional files : Presence of category template file category.phpThis theme does not contain optional file category.php.
  5. Optional files : Presence of tag template file tag.phpThis theme does not contain optional file tag.php.
  6. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  7. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  8. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  9. Optional files : Presence of archive template file archive.phpThis theme does not contain optional file archive.php.
  10. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  11. Optional files : Presence of image template file image.phpThis theme does not contain optional file image.php.
  12. Use of includes : Use of include or requireThe theme appears to use include or require : Importversion.php
    Line 569: require_once($class_wp_importer);
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : woocommerce.php
    Line 2140: include_once( WC()->plugin_path() . '/includes/walkers/class-product-cat-li
    Line 2329: include_once( WC()->plugin_path() . '/includes/walkers/class-product-cat-li
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.

This is a ThemeForest theme. Since Themeforest items are all checked by a human before they appear on their website, ThemeForest verification rules are more permissive than themecheck's and can give a better verification score ( Themeforest requirements ).

36
Critical alerts
  1. Inapropriate constants : Use of STYLESHEETPATH Constant STYLESHEETPATH was found in the file Element.php. get_stylesheet_directory() should be used instead.
    Line 54: $located = STYLESHEETPATH . $path;
  2. Inapropriate constants : Use of TEMPLATEPATH Constant TEMPLATEPATH was found in the file Element.php. get_template_directory() should be used instead.
    Line 56: $located = TEMPLATEPATH . $path;
  3. Included plugins : Zip file found Plugins are not allowed in themes. The zip file found was revslider.zip revslider2.zip js_composer.zip woodmart-core.zip.
Warning
  1. Text domain : Incorrect use of translation functions.More than one text-domain is being used in this theme. This means the theme will not be compatible with WordPress.org language packs. The domains found are woodmart, woocommerce, yith-woocommerce-compare, yith-woocommerce-wishlist, cmb2, js_composer.
  2. Plugin territory : Plugin territory functionalitiesThe theme uses the add_shortcode() function. Custom post-content shortcodes are plugin-territory functionality.
  3. CSS files : Presence of .gallery-caption class.gallery-caption css class is needed in theme css.
  4. Screenshot : Screenshot fileBad screenshot file extension ! File screenshot.png is not an actual JPG file. Detected type was : "image/png".
Tip-off
  1. favicon presence : Favicon managementPossible Favicon found in template-tags.php. Favicons are handled by the Site Icon setting in the customizer since version 4.3.
  2. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  3. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  4. Optional files : Presence of category template file category.phpThis theme does not contain optional file category.php.
  5. Optional files : Presence of tag template file tag.phpThis theme does not contain optional file tag.php.
  6. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  7. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  8. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  9. Optional files : Presence of archive template file archive.phpThis theme does not contain optional file archive.php.
  10. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  11. Optional files : Presence of image template file image.phpThis theme does not contain optional file image.php.
  12. Use of includes : Use of include or requireThe theme appears to use include or require : Importversion.php
    Line 569: require_once($class_wp_importer);
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : woocommerce.php
    Line 2140: include_once( WC()->plugin_path() . '/includes/walkers/class-product-cat-li
    Line 2329: include_once( WC()->plugin_path() . '/includes/walkers/class-product-cat-li
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
Other checked themes